
From: Hiroyuki KAMEZAWA <kamezawa.hiroyu@jp.fujitsu.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/page_alloc.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/page_alloc.c~no-buddy-bitmap-patch-revisit-for-mm-page_allocc-fix mm/page_alloc.c
--- 25/mm/page_alloc.c~no-buddy-bitmap-patch-revisit-for-mm-page_allocc-fix	Mon Nov  1 15:27:32 2004
+++ 25-akpm/mm/page_alloc.c	Mon Nov  1 15:27:32 2004
@@ -262,6 +262,7 @@ static inline void __free_pages_bulk (st
 	coalesced = base + page_idx;
 	set_page_order(coalesced, order);
 	list_add(&coalesced->lru, &zone->free_area[order].free_list);
+	zone->free_area[order].nr_free++;
 }
 
 static inline void free_pages_check(const char *function, struct page *page)
_
